<template>
	<div class="left-side">
      <div class="content">
        <div class="info">
          <div class="info-top">
            <NuxtLink to="/">
              <h1 class="logo">Tom Kintzel</h1>
            </NuxtLink>
          </div>
          <div class="main-info">
            <header class="main-info-header">
              <img class="header-img" src="~/assets/images/tomkintzel.jpeg" alt="Profilbild Tom Kintzel"/>
              <h3 class="header-title">
                Hi, ich bin Tom
              </h3>
            </header>
            <h2 class="main-title">
              Student & <br> Web-Entwickler
            </h2>
            <div class="info-desc">
              <p>
                Ich programmiere seit 2015. Angefangen mit JAVA (Studium), habe ich schnell gemerkt, dass meine Leidenschaft in der Webentwicklung liegt.
              </p>
              <p>
                Aktuell unterstütze ich als Werkstudent die <a href="https://mindsquare.de" rel="noreferrer" target="_blank" class="msq-link">mindsquare AG</a>
                und beschäftige mich die meiste Zeit mit PHP, JavaScript, CSS und HTML. 
              </p>
              <p>
                Zur Zeit schreibe ich meine Bachelorarbeit über das Thema AMP. Hierbei erstelle ich eine mobile Webseite der 
                <a href="https://mindsquare.de" rel="noreferrer" target="_blank" class="msq-link">mindsquare AG</a>
                und überprüfe die Auswirkungen auf das SEO-Ranking.
              </p>
              <p>Privat erweitere ich zudem meine Kentnisse in Vue.js. Daher ist auch diese Seite mit Vue Framework nuxtjs umgesetzt.</p>
            </div>
          </div>
          <div class="socials">
            <a v-for="item in socialLinks" :key="item.name" :href="item.href" :class="'social-links ' + item.class" rel="noreferrer" target="_blank">
              <i :class="item.icon"></i><span>{{ item.name }}</span>
            </a>
          </div>
        </div>
      </div>
    </div>
</template>

<script>
export default {
  data() {
    return {
      socialLinks : [
        {
          class: 'gitlab',
          name: 'GitLab',
          href: 'https://gitlab.com/tom.kin',
          icon: 'fab fa-gitlab'
        },
        {
          class: 'twitter',
          name: 'Twitter',
          href: 'https://twitter.com/_tommy_le3',
          icon: 'fab fa-twitter'
        },
        {
          clas: 'email',
          name: 'E-Mail',
          href: 'mailto:tomkintzel@tomkintzel.de',
          icon: 'fas fa-paper-plane'
        }
      ]
    }
  }
}
</script>

<style scoped>
 .left-side {
    width: 50%;
    min-height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    display: flex;
    z-index: 3;
    flex-direction: column;
  }

  .content {
    width: 100%;
    min-height: 100%;
    padding: 7rem;
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    overflow-x: hidden;
  }

  .info {
    min-height: 90rem;
  }

  .logo {
    color: #fff;
    font-size: 2.4rem;
    margin-bottom: 5rem;
  }

  .main-info-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0 0 1rem 0;
  }

  .header-title {
    color: #fff;
    font-size: 2rem;
  }
  .header-img {
    width: 7rem;
    height: auto;
    border-radius: 50%;
    margin: 0 2rem 0 0;
  }

  .main-title {
    font-size: 6rem;
    color: #fff;
    line-height: 1.1em;
    margin: 0 0 4rem 0;
  }
  .msq-link {
    color: #12806a;
  }

  .socials {
    margin-top: 3rem;
  }

  .social-links {
    transition: 250ms all;
    padding: 1rem;
    margin: 0 1rem 1rem 0;
    min-width: 10rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #121920;
  }

  .social-links span {
    font-size: 1.2rem;
  }
  .social-links:hover {
    transform: translateY(-1rem);
    background-color: #12806a;
  }
  
  .gitlab:hover {
    background-color: #FC6D26;
  }
  .twitter:hover {
    background-color: #1A91DA;
  }

  @media (max-width: 90rem) {
    .left-side {
      width: 100%;
      position: unset;
    }

    .content {
      padding: 3rem;
    }
  }
  @media (max-width: 76rem) {
    .left-side {
      display: none;
    }
    .main-title {
      font-size: 2.6rem;
    }
  }
</style>
